      subroutine dtij(n,h,l,r,f1,f2,t1,t2,del,tdel,dum1,dum2,tij)
      implicit real*8 (a-h,o-z)
! on input: f1(i) and f2(i) are radial wfn * r for angular momentum l
! on input: t1(i) and t2(i) are smooth radial wfn * r for angular momentum l
!   for r > rc, f1=t1, f2=t2
! on output: tij is difference kinetic energy matrix element in Rydberg units
!   tij =<f1|T|f2>-<t1|T|t2>
      dimension r(n),f1(n),f2(n),del(n),dum1(n),dum2(n)
      dimension t1(n),t2(n),tdel(n)
      call laplacian(n,h,l,r,f2,del,dum1,dum2)
      call laplacian(n,h,l,r,t2,tdel,dum1,dum2)
      do i=1,n
       dum2(i)=-f1(i)*del(i)+t1(i)*tdel(i)
       enddo
       tij=overint(n,h,dum2)
      return
      end
 
