      subroutine sethatexp(n,r,gauss,kpow,hatden,shape)
 Use GlobalConstants
      implicit none
      integer :: n,kpow,i
      real*8 :: r(n),hatden(n),shape(n),gauss,con
      real*8, parameter :: pref(4)=(/0.44311346272637900683d0,          &
         0.30635417561629441128d0,0.29540897515091933789d0,             &
         0.29630452305207511359d0/)
      real*8 :: chkcharge,overint

      if(kpow.ne.2.and.kpow.ne.4.and.kpow.ne.6.and.kpow.ne.8) then
       write(6,*) '**error in sethatden -- kpow = ',kpow
       stop
       endif

      con=1.d0/(pref(kpow/2)*(gauss**3))

      do i=1,n
       hatden(i)=con*(r(i)**2)*ddexp(-(r(i)/gauss)**kpow)
       shape(i)=ddexp(-(r(i)/gauss)**kpow)
       enddo

!  check charge

      chkcharge=overint(n,r(1),hatden)
       write(6,*) ' check hatden charge', chkcharge
       if (abs(chkcharge-1.d0).gt.1.d-7) then
         write(6,*) 'error in hatden '
         stop
         endif
      return
       end
